Debian Bug report logs - #676396
ITP: libjs-d3 -- JavaScript library for manipulating documents

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "W. Martin Borgert" <debacle@debian.org>

Date: Wed, 6 Jun 2012 17:13:02 UTC

Owned by: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>

Severity: wishlist

Fixed in version d3/3.3.13-1

Done: Laszlo Boszormenyi (GCS) <gcs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#676396; Package wnpp. (Wed, 06 Jun 2012 17:13:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "W. Martin Borgert" <debacle@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Wed, 06 Jun 2012 17:13:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "W. Martin Borgert" <debacle@debian.org>
To: submit@bugs.debian.org
Cc: pkg-javascript-devel@lists.alioth.debian.org
Subject: RFP: libjs-d3 -- JavaScript library for manipulating documents
Date: Wed, 06 Jun 2012 19:11:29 +0200
Package: wnpp
Severity: wishlist

Package name    : libjs-d3
Version         : 2.9.2
Upstream Author : Mike Bostock
URL             : http://d3js.org/
License         : BSD
Programming Lang: JavaScript
Description     : JavaScript library for manipulating documents

D3.js is a JavaScript library for manipulating documents based
on data. D3 helps you bring data to life using HTML, SVG and CSS.
D3’s emphasis on web standards gives you the full capabilities of
modern browsers without tying yourself to a proprietary
framework, combining powerful visualization components and a
data-driven approach to DOM manipulation.





Changed Bug title to 'ITP: libjs-d3 -- JavaScript library for manipulating documents' from 'RFP: libjs-d3 -- JavaScript library for manipulating documents' Request was from "Laszlo Boszormenyi (GCS)" <gcs@debian.hu> to control@bugs.debian.org. (Fri, 03 Aug 2012 18:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#676396; Package wnpp. (Fri, 03 Aug 2012 18:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 03 Aug 2012 18:21:02 GMT) Full text and rfc822 format available.

Message #12 received at 676396@bugs.debian.org (full text, mbox):

From: "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
To: control@bugs.debian.org, 676396@bugs.debian.org
Cc: pkg-javascript-devel@lists.alioth.debian.org
Subject: ITP: libjs-d3 -- JavaScript library for manipulating documents
Date: Fri, 03 Aug 2012 18:10:46 +0000
retitle 676396 ITP: libjs-d3 -- JavaScript library for manipulating documents
thanks

Hi all,

I would like to package libjs-d3 and actually already did that. It needs
some more love, but basically it needs node-jsdom 0.2.14 or newer. Asked
David Paleino if he wants to keep it and updated or handle that to me.
I've a package of it ready to upload if he let me to take over.

Regards,
Laszlo/GCS




Owner recorded as "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>. Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Sat, 04 Aug 2012 06:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>:
Bug#676396; Package wnpp. (Wed, 10 Apr 2013 18:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>. (Wed, 10 Apr 2013 18:39:04 GMT) Full text and rfc822 format available.

Message #19 received at 676396@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: 676396@bugs.debian.org, "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>
Subject: any progress
Date: Wed, 10 Apr 2013 14:37:27 -0400
Hi Laszlo,

any progress? ;)  cheers!

-- 
Yaroslav O. Halchenko
http://neuro.debian.net http://www.pymvpa.org http://www.fail2ban.org
Senior Research Associate,     Psychological and Brain Sciences Dept.
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>:
Bug#676396; Package wnpp. (Wed, 27 Nov 2013 22:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>. (Wed, 27 Nov 2013 22:12:05 GMT) Full text and rfc822 format available.

Message #24 received at 676396@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@debian.org>
To: pkg-javascript-devel@lists.alioth.debian.org
Cc: dapal@debian.org, 676396@bugs.debian.org
Subject: node-jsdom
Date: Thu, 28 Nov 2013 09:09:11 +1100
[Message part 1 (text/plain, inline)]
Hi David,

Can I give you a hand with "node-jsdom"?
We need its newer version for d3 [1], see ITP #676396:

    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=676396

Thank you.

[1]: http://d3js.org/

-- 
Regards,
 Dmitry Smirnov
 GPG key : 4096R/53968D1B

---

However beautiful the strategy, you should occasionally look at the
results.
        -- Winston Churchill


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>:
Bug#676396; Package wnpp. (Wed, 27 Nov 2013 22:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <kapouer@melix.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Laszlo Boszormenyi (GCS)" <gcs@debian.hu>. (Wed, 27 Nov 2013 22:21:05 GMT) Full text and rfc822 format available.

Message #29 received at 676396@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: Dmitry Smirnov <onlyjob@debian.org>
Cc: pkg-javascript-devel@lists.alioth.debian.org, 676396@bugs.debian.org
Subject: Re: [Pkg-javascript-devel] node-jsdom
Date: Wed, 27 Nov 2013 23:18:56 +0100
On 27/11/2013 23:09, Dmitry Smirnov wrote:
> Hi David,
> 
> Can I give you a hand with "node-jsdom"?
> We need its newer version for d3 [1], see ITP #676396:
> 
>     http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=676396
> 
> Thank you.
> 
> [1]: http://d3js.org/

While it's a very good idea to package jsdom,
as far as you want to package libjs-d3, jsdom isn't needed.
jsdom is needed if you want to run d3 on server, i.e. package
node-d3.

Jérémy.






Added indication that bug 676396 blocks 657712 Request was from Dmitry Smirnov <onlyjob@debian.org> to 657712-submit@bugs.debian.org. (Thu, 26 Dec 2013 14:33:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 29 Dec 2013 19:06:04 GMT) Full text and rfc822 format available.

Reply sent to Laszlo Boszormenyi (GCS) <gcs@debian.org>:
You have taken responsibility. (Mon, 30 Dec 2013 16:03:05 GMT) Full text and rfc822 format available.

Notification sent to "W. Martin Borgert" <debacle@debian.org>:
Bug acknowledged by developer. (Mon, 30 Dec 2013 16:03:06 GMT) Full text and rfc822 format available.

Message #38 received at 676396-close@bugs.debian.org (full text, mbox):

From: Laszlo Boszormenyi (GCS) <gcs@debian.org>
To: 676396-close@bugs.debian.org
Subject: Bug#676396: fixed in d3 3.3.13-1
Date: Mon, 30 Dec 2013 16:00:05 +0000
Source: d3
Source-Version: 3.3.13-1

We believe that the bug you reported is fixed in the latest version of
d3, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 676396@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Laszlo Boszormenyi (GCS) <gcs@debian.org> (supplier of updated d3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 28 Dec 2013 20:58:35 +0100
Source: d3
Binary: libjs-d3
Architecture: source all
Version: 3.3.13-1
Distribution: unstable
Urgency: low
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Changed-By: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Description: 
 libjs-d3   - JavaScript visualization library for HTML and SVG
Closes: 676396
Changes: 
 d3 (3.3.13-1) unstable; urgency=low
 .
   * Initial upload (closes: #676396).
Checksums-Sha1: 
 6ac8c805212b352c787c7359c9899a83fbfa0088 1713 d3_3.3.13-1.dsc
 6ea6cf56b8f37609e3b8776b86aa3c68c7d89c61 3001181 d3_3.3.13.orig.tar.gz
 9214e54c8675e30d722c7cb22c48887c1e13be8c 3897 d3_3.3.13-1.debian.tar.gz
 efbdc2a67eb94146bf3e32bbd7c3d4155d7011b8 93584 libjs-d3_3.3.13-1_all.deb
Checksums-Sha256: 
 391042ccfd89eb8b41c8df478a4a452481d16e637e035a457cee382bcaddce08 1713 d3_3.3.13-1.dsc
 15041d3aec545f7d79d58173a4b1cbea002d6716aa023d0174263b5b79b369c2 3001181 d3_3.3.13.orig.tar.gz
 d2dbeff94042e04d924e9f3458b7da5bd571c8b0d915a2c390973a8dc97cf3de 3897 d3_3.3.13-1.debian.tar.gz
 8dae6129f8324587f4e2c1ae916caef11c0d2c7bb0ecfbd23e4be6c5c9395b7e 93584 libjs-d3_3.3.13-1_all.deb
Files: 
 9a43a91781ec8d3b94fa069d015e306a 1713 web optional d3_3.3.13-1.dsc
 5bfc6744f337b16a20cedaea0f851b2b 3001181 web optional d3_3.3.13.orig.tar.gz
 76434c9ca9eef7630e783918b5f99485 3897 web optional d3_3.3.13-1.debian.tar.gz
 b4bf8f31ce760c6817b07e04beecf283 93584 web optional libjs-d3_3.3.13-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSv9wmAAoJENzjEOeGTMi/gwEQAKRGfZfPYw/7YWSP0hIn4Swc
bTtMOyaZ3zqXITkZ/8v0iEram1J5pkynFSJwW+YLjzBDMpMxGtAKkSLxNmBAtGFA
QABSXb93f7B0usV6cmHxrKMRQljqihxaLz1yyVoUdCrIEk2chTzLJbBQ04y1Xv4x
jiA5UgLo62AGvYRCMlnh1VElHfiobnDRSug8etVc14D0YVpTuq4S5nq9WetYabgw
zTfExFhnLV2tH0XMARTpvQvAsgyWeEVTdakAcNRlTpvEyOzIZXgpMOnhfyBRlk1o
gNApO46fjZt47iJyoglNJEpqWJ7a0337OoUj5ME09iPIwPqoqr/inc98xHBx6MCE
MVDNFFm1n/qAiTkADeB3w/A2lpS/omNV0RuNbN0Jb0QfMmhrUjP87A/xMRmXze8X
5FEg3lpXPg1dag485JUEjrV0rbaBrFvDW2P0G8n6FyqmCYxMVi3uMw0Y13VYlteb
uxai+mQzAgmhaS04YXK/PMtH+KHwBRtZAzdvyrZEoE3D8pm3gNOtHm5O70KGttiJ
vXsPjCjW8G3W260HVe4bDTdgtvDcIRHhRtwcK0qAUH0TLjLwI3b3Wr9llz7PuuN5
KOiKGseHAq0d+LRE2iuLyZV5yOki8/ObNaFmFJiTX0N43Kqp8OlVLoZQZd9k2LjF
diC8XWapRk+4+u4uyymk
=fZuE
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 28 Jan 2014 07:34:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:45:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.